Skip to main content
API referenceSubnets

Subnet Hyperparameters

Last updated

GET
/api/v1/subnets/{netuid}/hyperparameters

Fetch one subnet's consensus, economic, and governance hyperparameters (kappa, weight/activity settings, burn cost, liquid alpha, commit-reveal, yuma version, and more), refreshed daily and computed live from the subnet_hyperparams D1 tier.

Path Parameters

netuid*integer
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/subnets/0/hyperparameters"
{  "data": {    "block_number": 5000000,    "captured_at": "2026-06-01T00:00:00.000Z",    "hyperparameters": {      "activity_cutoff": 1,      "activity_cutoff_factor": 1,      "alpha_high_ratio": 0.9966,      "alpha_low_ratio": 0.9966,      "alpha_sigmoid_steepness": 0.5,      "bonds_moving_avg_raw": 1,      "bonds_reset_enabled": false,      "burn_half_life": 1,      "burn_increase_mult": 0.5,      "commit_reveal_enabled": false,      "commit_reveal_period": 1,      "immunity_period": 1,      "kappa_ratio": 0.9966,      "liquid_alpha_enabled": false,      "max_burn_tao": 0.5,      "max_regs_per_block": 5000000,      "max_validators": 1,      "max_weight_limit_ratio": 0.9966,      "min_allowed_weights": 1,      "min_burn_tao": 0.5,      "min_childkey_take_ratio": 0.9966,      "owner_cut_auto_lock_enabled": false,      "owner_cut_enabled": false,      "registration_allowed": false,      "serving_rate_limit": 1,      "subnet_is_active": false,      "target_regs_per_interval": 1,      "tempo": 1,      "transfers_enabled": false,      "user_liquidity_enabled": false,      "weights_rate_limit": 1,      "weights_version": 1,      "yuma_version": 1    },    "netuid": 7,    "schema_version": 1  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}